Bug 479902 - RT3 Segfaults after search
RT3 Segfaults after search
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rt3 (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 17:33 EST by Jon Baker
Modified: 2009-01-16 09:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-15 22:39:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Baker 2009-01-13 17:33:24 EST
Description of problem: After installing RT3 via FC10 yum over a previously installed RT3 (not yummed in), apache reports a segfault in child process when performing certain searches.  Once this segfault occurs, RT3 segfaults for each page request until the RT cookie is deleted.


Version-Release number of selected component (if applicable): 3.8.1


How reproducible: consistent


Steps to Reproduce:
1. Log into RT
2. Click on a queue in the "quick search" box
3. If the search works, any pages beyond that segfault.  Most of the time the search segfaults as well.
  
Actual results:
Blank page served.  Apache log reports "child pid XXXX exit signal Segmentation fault (11)" for each attempt to load any more pages.

Expected results:
RT should continue without crashing

Additional info:
Deleting cookies will restore RT.  Other pages, including creating tickets, works fine.  However, doing most any search will crash RT.
Comment 1 Jon Baker 2009-01-15 22:39:19 EST
Found the problem.  After going as far as re-installing perl (and all the modules that depend on it) it was still segfaulting.  Next I installed RT3 on a basic box and didn't have the issues.  Then I got the bright idea to check the database field types - so I did a mysql dump of the fresh install and the old install.  There were several fields that were text/longtext in the old install that were blob/longblob in the new install.  I changed those field types in the old install, and the segfaults stopped.

It could be that I missed a mysql update along the way - which does beg the question, does the update for rt3 execute the appropriate mysql queries or does that need to be done manually?  If it has to be done manually, is there a way to find out what version of rt you just upgraded from after the fact?
Comment 2 Ralf Corsepius 2009-01-15 23:04:58 EST
(In reply to comment #1)
> Found the problem.
Great! Your initial report had left me rather clueless ;)

> After going as far as re-installing perl (and all the
> modules that depend on it) it was still segfaulting.  Next I installed RT3 on a
> basic box and didn't have the issues.  Then I got the bright idea to check the
> database field types - so I did a mysql dump of the fresh install and the old
> install.  There were several fields that were text/longtext in the old install
> that were blob/longblob in the new install.  I changed those field types in the
> old install, and the segfaults stopped.

> It could be that I missed a mysql update along the way - which does beg the
> question, does the update for rt3 execute the appropriate mysql queries or does
> that need to be done manually?
No, it doesn't.

rt's database formating has once more changed incompatibly between rt-3.8.x and its predecessors. I guess, you've been hit by one of these incompatibilities.

Unfortunately, automated "on-update/on-upgrade" database reformating from inside of rpms is a generally unresolved problem.

> If it has to be done manually,
Well there are some readme in /usr/share/doc/rt3-* trying to describe how to upgrade from older versions (also c.f. /etc/rt3/upgrade)

> is there a way
> to find out what version of rt you just upgraded from after the fact?
Likely, but none that I am aware about off-head, sorry.
Comment 3 Jon Baker 2009-01-16 09:31:26 EST
Ok, that's good to know.  I'll just have a ticket that stores the current version of RT so I know what version to upgrade from.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.